﻿CREATE TABLE [dbo].[Report.JobOrder] (
    [Id]                              BIGINT           NOT NULL,
    [FocusJobId]                      BIGINT           NOT NULL,
    [EmployerId]                      BIGINT           NOT NULL,
    [JobStatus]                       INT              NOT NULL,
    [CountyId]                        BIGINT           NULL,
    [County]                          NVARCHAR (400)   NULL,
    [StateId]                         BIGINT           NULL,
    [State]                           NVARCHAR (400)   NULL,
    [PostalCode]                      NVARCHAR (40)    NULL,
    [Office]                          NVARCHAR (400)   NULL,
    [MinimumEducationLevel]           INT              NULL,
    [PostingFlags]                    INT              NULL,
    [WorkOpportunitiesTaxCreditHires] INT              NULL,
    [ForeignLabourCertification]      BIT              NULL,
    [ScreeningPreferences]            INT              NULL,
    [MinSalary]                       DECIMAL (24, 18) NULL,
    [MaxSalary]                       DECIMAL (24, 18) NULL,
    [SalaryFrequency]                 INT              NULL,
    [OnetCode]                        NVARCHAR (20)    NULL,
    [PostedOn]                        DATETIME         NULL,
    [ClosingOn]                       DATETIME         NULL,
    [LatitudeRadians]                 FLOAT            NOT NULL,
    [LongitudeRadians]                FLOAT            NOT NULL,
    [CreatedOn]                       DATETIME         NOT NULL,
    [UpdatedOn]                       DATETIME         NOT NULL,
    [JobTitle]                        NVARCHAR (400)   NOT NULL,
    [Description]                     NVARCHAR (MAX)   NULL,
    [ForeignLabourType]               INT              NULL,
    [FederalContractor]               BIT              NULL,
    [CourtOrderedAffirmativeAction]   BIT              NULL,
    [FocusBusinessUnitId]             BIGINT           NULL,
    [NCRCLevel]                       NVARCHAR (50)    NULL,
    [NCRCLevelRequired]               BIT              NULL,
    [NumberOfOpenings]                INT              NULL
);

